# Publish a new version of a shared item from this project's changed copy

`POST /org-library/items/{id}/versions` · Rivier · workspace

Publish a new version of a shared item from this project's changed copy. Projects using it are offered the update.

- Scope: workspace:write
- Graphql: Mutation.workspaceOrgLibraryNewVersion
- Sdk: workspace.orgLibrary.newVersion
- Cli: workspace org library new version

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "ref": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "note": {
      "type": "string",
      "maxLength": 300
    }
  },
  "required": [
    "ref"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/org-library/items/{id}/versions' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ref": "string"
}'
```
